## org.jboss.ejb.plugins.jrmp.interfaces
Class HomeHandleImpl

    java.lang.Object
      |
      +--org.jboss.ejb.plugins.jrmp.interfaces.AbstractHandle
            |
            +--org.jboss.ejb.plugins.jrmp.interfaces.HomeHandleImpl

All Implemented Interfaces:
  javax.ejb.HomeHandle, java.io.Serializable

public class HomeHandleImpl
extends AbstractHandle
implements javax.ejb.HomeHandle

An EJB home handle implementation.

Version:
  $Revision: 1.6 $
Author:
  Rickard Öberg (rickard.oberg@telkel.com), Jason Dillon <jason@planet57.com>
See Also:
  Serialized Form

Fields inherited from class org.jboss.ejb.plugins.jrmp.interfaces.AbstractHandle
`initialContextHandle, name`

Constructor Summary
`HomeHandleImpl(InitialContextHandle handle, java.lang.String name)` Construct a `HomeHandleImpl`.
`HomeHandleImpl(java.lang.String name)` Construct a `HomeHandleImpl`.

Method Summary
`javax.ejb.EJBHome` `getEJBHome()` HomeHandle implementation.

Methods inherited from class org.jboss.ejb.plugins.jrmp.interfaces.AbstractHandle
`createInitialContext, getEJBObject, lookupEJBHome`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HomeHandleImpl

    public HomeHandleImpl(InitialContextHandle handle,
                          java.lang.String name)

  Construct a `HomeHandleImpl`.
  Parameters:
    `handle` - The initial context handle that will be used to restore the naming context or null to use a fresh InitialContext object.
    `name` - JNDI name.

### HomeHandleImpl

    public HomeHandleImpl(java.lang.String name)

  Construct a `HomeHandleImpl`. This is used for constructing a handle reference outside of a proxy.
  Parameters:
    `name` - JNDI name.

Method Detail

### getEJBHome

    public javax.ejb.EJBHome getEJBHome()
                                 throws java.rmi.RemoteException

  HomeHandle implementation.
  Specified by:
    `getEJBHome` in interface `javax.ejb.HomeHandle`
  Returns:
    `EJBHome` reference.
  Throws:
    `java.rmi.ServerException` - Could not get EJBObject.
    `java.rmi.RemoteException` -

Copyright © 2000 The JBoss Organization. All Rights Reserved.